VkSubmitInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | waitSemaphoreCount
const VkSemaphore * | pWaitSemaphores
const VkPipelineStageFlags * | pWaitDstStageMask
uint32_t | commandBufferCount
const VkCommandBuffer * | pCommandBuffers
uint32_t | signalSemaphoreCount
const VkSemaphore * | pSignalSemaphores

## Detailed Description

Definition at line 2059 of file vulkan_core.h.

## Field Documentation

## commandBufferCount

uint32_t VkSubmitInfo::commandBufferCount

Definition at line 2065 of file vulkan_core.h.

Referenced by render().

## pCommandBuffers

const VkCommandBuffer* VkSubmitInfo::pCommandBuffers

Definition at line 2066 of file vulkan_core.h.

Referenced by render().

## pNext

const void* VkSubmitInfo::pNext

Definition at line 2061 of file vulkan_core.h.

## pSignalSemaphores

const VkSemaphore* VkSubmitInfo::pSignalSemaphores

Definition at line 2068 of file vulkan_core.h.

Referenced by render().

## pWaitDstStageMask

const VkPipelineStageFlags* VkSubmitInfo::pWaitDstStageMask

Definition at line 2064 of file vulkan_core.h.

Referenced by render().

## pWaitSemaphores

const VkSemaphore* VkSubmitInfo::pWaitSemaphores

Definition at line 2063 of file vulkan_core.h.

Referenced by render().

## signalSemaphoreCount

uint32_t VkSubmitInfo::signalSemaphoreCount

Definition at line 2067 of file vulkan_core.h.

Referenced by render().

## sType

VkStructureType VkSubmitInfo::sType

Definition at line 2060 of file vulkan_core.h.

Referenced by render().

## waitSemaphoreCount

uint32_t VkSubmitInfo::waitSemaphoreCount

Definition at line 2062 of file vulkan_core.h.

Referenced by render().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h